<?php
/**
 * _config.inc.php lives in the document root of your site/application. It is the beginning of everything.
 *
 * Code by Strangecode :: www.strangecode.com :: This document contains copyrighted information.
 * @author  Quinn Comendant <quinn@strangecode.com>
 * @version 1.0
 * @since   2005-08-30
 */

if (!preg_match('!^/!', __FILE__)) {
	trigger_error('_config.inc.php include must be specified with an absolute file path (eg: "require_once dirname(__FILE__) . \'/_config.inc.php\';"', E_USER_ERROR);
}

define('COMMON_BASE', realpath(dirname(__FILE__) . '/../'));
define('CODE_BASE', COMMON_BASE . '/codebase');
define('SITE_BASE', dirname(__FILE__));

// Set include path.
ini_set('include_path', get_include_path()
    . PATH_SEPARATOR . COMMON_BASE
    . PATH_SEPARATOR . SITE_BASE . '/_templates'
);

// Include core libraries.
require_once 'codebase/lib/App.inc.php';
require_once 'codebase/lib/Utilities.inc.php';
require_once 'codebase/lib/Auth_SQL.inc.php';

$app =& App::getInstance('admin');

$app->setParam(array(
    'site_name' => 'WWW Admin',
    'site_email' => 'hello@example.com',
    'redirect_home_url' => '/admin/',

    'date_format' => 'd M Y',
    'sql_date_format' => '%e %b %Y',
    'sql_time_format' => '%k:%i',
    'character_set' => 'utf-8',

    'enable_session' => true,
    'enable_db_session_handler' => true,
    'session_use_cookies' => true,

    'enable_db' => true,
    'db_always_debug' => false,
    'db_debug' => true,
    'db_die_on_failure' => true,

    'display_errors' => true,

    'log_directory' => COMMON_BASE . '/log',
    'log_filename' => 'admin_log',
    'log_file_priority' => LOG_DEBUG,
    'log_email_priority' => false,
    'log_sms_priority' => false,
    'log_screen_priority' => false,
    'log_to_email_address' => 'log@example.com',
    'log_to_sms_address' => 'sms@example.com',
));

require_once 'global/db_auth.inc.php';

$app->start();


$auth = new Auth_SQL('admin');
$auth->setParam(array(
    'db_table'          => 'admin_tbl',
    'db_primary_key'    => 'admin_id',
    'login_url'         => '/admin/login.php'
));

// Setup CSS files to include. These will always be available.
require_once 'codebase/lib/CSS.inc.php';
$css = new CSS();
$css->setParam(array('cache_css' => true));
$css->setFile(CODE_BASE . '/css/depreciated.inc.css');
$css->setFile(CODE_BASE . '/css/codebase.inc.css');
$css->setFile(CODE_BASE . '/css/utilities.inc.css');
$css->setFile(CODE_BASE . '/css/admin.inc.css');

require_once 'codebase/lib/Nav.inc.php';
$nav = new Nav();
$nav->path_delimiter = ' / ';
$nav->last_crumb_format = '<b>%s</b>';

?>
